Public Member Functions | Public Attributes | List of all members
RagTime5TextInternal::State Struct Reference

Internal: the state of a RagTime5Text. More...

## Public Member Functions
| State ()
| constructor More...

## Public Attributes
int | m_numPages
| the number of pages More...
std::map< int, std::shared_ptr< ClusterText > > | m_idTextMap
| map data id to text zone More...

## Detailed Description

Internal: the state of a RagTime5Text.

## Constructor & Destructor Documentation

## ◆ State()

RagTime5TextInternal::State::State | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_idTextMap

std::map<int, std::shared_ptr<ClusterText> > RagTime5TextInternal::State::m_idTextMap

map data id to text zone

## ◆ m_numPages

int RagTime5TextInternal::State::m_numPages

the number of pages

The documentation for this struct was generated from the following file:

- RagTime5Text.cxx